Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007936opensim[GRID] Other Servicepublic2016-06-23 09:292016-07-01 05:40
ReporterDiva 
Assigned Tomelanie 
PrioritynormalSeverityminorReproducibilitysometimes
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007936: Some errors with HTTP server
DescriptionSince the new http library this morning:

09:25:26 - [Scene]: The avatar has left the building
09:25:26 - [ENTITY TRANSFER STATE MACHINE]: Agent 08daac93-b317-45cd-9dbc-e6ba2961d114 cleared from transit in Test 2
09:25:26 - [POLL SERVICE WORKER THREAD]: Error System.NullReferenceException: Object reference not set to an instance of an object.
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size)
   at HttpServer.HttpResponse.SendHeaders()
   at HttpServer.HttpResponse.Send()
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in f:\dev\opensim-core\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in f:\dev\opensim-core\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94
Steps To ReproduceThis happened on logout
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0030693)
aiaustin (developer)
2016-06-23 11:08
edited on: 2016-06-30 06:38

On Windows 10 grid, I am also seeing this with opensim-0.9.0-376-g1065a4c.zip. Reproducibility for me is ALWAYS.

It is not present with opensim-0.9.0-371-g56e2358.zip

With opensim-0.9.0-376-g1065a4c.zip, after an avatar logs off I see

19:08:10 - [Scene]: The avatar has left the building
19:08:11 - [POLL SERVICE WORKER THREAD]: Error System.NullReferenceException: Object reference not set to an instance of an object.
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size)
   at HttpServer.HttpResponse.SendHeaders()
   at HttpServer.HttpResponse.Send()
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-376-g1065a4c\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-376-g1065a4c\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

19:08:11 - [POLL SERVICE WORKER THREAD]: Error System.NullReferenceException: Object reference not set to an instance of an object.
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size)
   at HttpServer.HttpResponse.SendHeaders()
   at HttpServer.HttpResponse.Send()
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-376-g1065a4c\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-376-g1065a4c\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

19:08:11 - [POLL SERVICE WORKER THREAD]: Error System.NullReferenceException: Object reference not set to an instance of an object.
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size)
   at HttpServer.HttpResponse.SendHeaders()
   at HttpServer.HttpResponse.Send()
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-376-g1065a4c\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-376-g1065a4c\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

19:08:11 - [ATTACHMENTS MODULE]: Updating asset for attachment 769bc414-3253-473b-adbd-c7a5112c1d8b, attachpoint 17
19:08:11 - [ATTACHMENTS MODULE]: Updating asset for attachment 9cb5d2c6-12dd-4601-af43-f8cfdc0a96ac, attachpoint 36
19:08:11 - [ATTACHMENTS MODULE]: Updating asset for attachment 91ae3e75-c22c-4b33-a83d-261a7221682a, attachpoint 38
19:08:11 - [ATTACHMENTS MODULE]: Updating asset for attachment 95c21d3c-50f7-4917-ae46-8c281a11a75f, attachpoint 7
19:08:11 - [ATTACHMENTS MODULE]: Updating asset for attachment 83282f40-330b-4559-bad3-9457dab4d823, attachpoint 8
19:08:11 - [Scene]: The avatar has left the building


Trace with opensim-0.9.0-371-g56e2358.zip is as follows...

19:17:49 - [Scene]: The avatar has left the building
19:17:50 - [ATTACHMENTS MODULE]: Updating asset for attachment 7f1488e8-37c9-4c41-b8a6-e1277426c5b1, attachpoint 17
19:17:50 - [ATTACHMENTS MODULE]: Updating asset for attachment e7b9c48c-89d4-493c-a809-f674aad8e6f8, attachpoint 36
19:17:50 - [ATTACHMENTS MODULE]: Updating asset for attachment 91b64934-ccb1-482c-9dee-cf324778436d, attachpoint 38
19:17:50 - [ATTACHMENTS MODULE]: Updating asset for attachment a4c7b29b-e512-42b9-a4c6-ac7f147a7001, attachpoint 7
19:17:50 - [ATTACHMENTS MODULE]: Updating asset for attachment ab4115db-54ec-468f-bf2f-f1e0af6a28ba, attachpoint 8
19:17:50 - [Scene]: The avatar has left the building

(0030727)
danbanner (manager)
2016-06-23 19:08

I'm often seeing a very similar exception, repeated several time a second,
01:54:37 - [POLL SERVICE WORKER THREAD]: Error System.ObjectDisposedException: The object was used after being disposed.
  at System.Net.Sockets.NetworkStream.CheckDisposed () [0x0000b] in /root/install/mono-3.2.3/mono-3.2.3/mcs/class/System/System.Net.Sockets/NetworkStream.cs:431
  at System.Net.Sockets.NetworkStream.Write (System.Byte[] buffer, Int32 offset, Int32 size) [0x00000] in /root/install/mono-3.2.3/mono-3.2.3/mcs/class/System/System.Net.Sockets/NetworkStream.cs:402
  at HttpServer.HttpClientContext.Send (System.Byte[] buffer, Int32 offset, Int32 size) [0x00000] in <filename unknown>:0
  at HttpServer.HttpResponse.Send () [0x00000] in <filename unknown>:0
  at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send () [0x00017] in /home/osgrid/PLAZA/lbsa_plaza/OpenSim/Framework/Servers/HttpServer/OSHttpResponse.cs:325
  at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork (OpenSim.Framework.Servers.HttpServer.BaseHttpServer server, System.Collections.Hashtable responsedata) [0x00067] in /home/osgrid/PLAZA/lbsa_plaza/OpenSim/Framework/Servers/HttpServer/PollServiceHttpRequest.cs:94
(0030730)
aiaustin (developer)
2016-06-24 01:12

Swapping back the previous bin/HttpServer* entries fixes this until the problem can be found.
(0030781)
Gavin Hird (reporter)
2016-06-26 01:12

I also had to switch back to the previous bin/HttpServer* as the latest resulted in significant instability of the simulators.

I also noted that initial avatar loading on login most of the time fails with the latest version in that the avatar will be standing threading in place and animations are not initialized.
(0030813)
UbitUmarov (administrator)
2016-06-28 06:04

pushed a replacement httpServer
Please let us know if it fixed those errors
(0030815)
Gavin Hird (reporter)
2016-06-28 07:37

I have the updated version running on 3 simulators + 2 robust with a total of 48 regions. Initial run looks OK, but it always takes some time for events and patterns to surface.
(0030847)
aiaustin (developer)
2016-06-30 02:35
edited on: 2016-06-30 12:49

I have updated Openvue and AiLand grids to opensim-0.9.0-389-gea140d7.zip with the changed HttpServer_OpenSim.dll and the previous NullReferenceException does not appear when an avatar logs off.

(0030853)
aiaustin (developer)
2016-07-01 05:40

I am seeing continuing related errors when HG visitors arrive on one of the updated grids ...

[POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host

----- here is one trace for more context of where errors are appearing -----

13:34:03 - [Assets]: Zero ID: From IAR
...
13:34:04 - [Assets]: Zero ID: From IAR
13:34:04 - [ENTITY TRANSFER MODULE]: OpenVCE is sending Allen.Firethorn @www.terravirtuaworld.com:8002 EnableSimulator for neighbour region Oil Rig(loc=<1638656,1638400>,siz=<256,256>) and EstablishAgentCommunication with seed cap http://virtual2.aiai.ed.ac.uk:9000/CAPS/a71f1fee-7b24-4af6-9f8b-40f9fc998cc60000/ [^]
13:34:04 - [ENTITY TRANSFER MODULE]: Completed inform Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3 about neighbour 129.215.219.143:9006
...
13:34:05 - [AGENT INVENTORY]: Failed to create folder for user Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3
...
13:34:06 - [LLUDPSERVER]: Handling UseCircuitCode request for circuit 70758690 to AiLand from IP 216.2.217.63:54203
13:34:06 - [SCENE]: Adding new child scene presence Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3 to scene AiLand at pos <128, 1, 24.96635>, tpflags: Default
13:34:06 - [WoldMapModule]: RequestMapBlocks 998=998=998=998 65538
13:34:06 - [LLUDPSERVER]: Client created, processing pending queue, 1 entries
13:34:06 - [CAPS]: Received SEED caps request in AiLand for agent ff3e1206-bdd2-4aeb-bee7-297c10d612b3
13:34:06 - [AgentPrefs]: UpdateAgentPreferences for ff3e1206-bdd2-4aeb-bee7-297c10d612b3
13:34:06 - [AGENT INVENTORY]: Failed to create folder for user Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3
...
13:34:10 - [AGENT INVENTORY]: Failed to create folder for user Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3
13:34:10 - [UPLOAD BAKED TEXTURE HANDLER]: Received baked texture 7f8b644e-198f-414f-b3a8-6e9738265d32
13:34:10 - [UPLOAD BAKED TEXTURE HANDLER]: Received baked texture f6778469-6fb0-48d5-a6fb-37d673104954
13:34:13 - [UPLOAD BAKED TEXTURE HANDLER]: Received baked texture 2a9dc521-f7f1-4fce-8aac-23e69252be80
13:34:14 - [UPLOAD BAKED TEXTURE HANDLER]: Received baked texture 1b792ae6-d29c-4a67-ba3a-0f4960a3af68
13:34:31 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:36 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:36 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:36 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:37 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:37 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:37 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

13:34:39 - [POLL SERVICE WORKER THREAD]: Error System.Net.Sockets.SocketException (0x80004005): A blocking operation was interrupted by a call to WSACancelBlockingCall
   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFlags)
   at HttpServer.HttpClientContext.Send(Byte[] buffer, Int32 offset, Int32 size) in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpClientContext.cs:line 520
   at HttpServer.HttpResponse.Send() in C:\opensim\opensim-libs\HttpServer\trunk\HttpServer\HttpResponse.cs:line 280
   at OpenSim.Framework.Servers.HttpServer.OSHttpResponse.Send() in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\OSHttpResponse.cs:line 325
   at OpenSim.Framework.Servers.HttpServer.PollServiceHttpRequest.DoHTTPGruntWork(BaseHttpServer server, Hashtable responsedata) in d:\Temp\opensim-0.9.0-389-gea140d7\OpenSim\Framework\Servers\HttpServer\PollServiceHttpRequest.cs:line 94

...
13:35:02 - [ENTITY TRANSFER MODULE]: Request to teleport Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3 home
13:35:04 - [HG ENTITY TRANSFER MODULE]: teleporting user Allen.Firethorn @www.terravirtuaworld.com:8002 home to Terra Virtua via http://www.terravirtuaworld.com:8002/: [^]
13:35:04 - [ENTITY TRANSFER STATE MACHINE]: SetInTransit. agent=ff3e1206-bdd2-4aeb-bee7-297c10d612b3, newState=Preparing
13:35:04 - [ENTITY TRANSFER MODULE]: Teleporting Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3 from OpenVCE to http://www.terravirtuaworld.com:8002/ [^] (http://www.terravirtuaworld.com:9500/ [^]) Terra Virtua/<212.4271, 62.79118, 21.55736>
13:35:05 - [REMOTE SIMULATION CONNECTOR]: QueryAccess to http://www.terravirtuaworld.com:9500/agent/ff3e1206-bdd2-4aeb-bee7-297c10d612b3/fdd711f2-30c8-41dd-afa3-42c4a08df0ed/ [^] returned True, reason , version 0.5/0.5
13:35:05 - [ENTITY TRANSFER MODULE]: OpenVCE transfer protocol version to Terra Virtua is 0.5 / 0.5
13:35:05 - [ENTITY TRANSFER MODULE]: Determined that region Terra Virtua at 998,1002 needs new child agent for agent Allen.Firethorn @www.terravirtuaworld.com:8002 from OpenVCE
13:35:05 - [HG ENTITY TRANSFER MODULE]: CreateAgent http://www.terravirtuaworld.com:8002/ [^] http://www.terravirtuaworld.com:9500/ [^]
Region (root) # >>> LoginAgentToGrid <<< http://107.155.116.152:8002/ [^]
13:35:05 - [REMOTE SIMULATION CONNECTOR]: Creating agent at http://107.155.116.152:8002/ [^]
13:35:05 - [ENTITY TRANSFER STATE MACHINE]: UpdateInTransit. agent=ff3e1206-bdd2-4aeb-bee7-297c10d612b3, newState=Transferring
13:35:05 - [ENTITY TRANSFER MODULE]: Sending new CAPS seed url http://www.terravirtuaworld.com:9500/CAPS/4c9c4cc7-f577-4a67-8a0c-4c0628b8b83e0000/ [^] from OpenVCE to Allen.Firethorn @www.terravirtuaworld.com:8002
13:35:07 - [ENTITY TRANSFER STATE MACHINE]: UpdateInTransit. agent=ff3e1206-bdd2-4aeb-bee7-297c10d612b3, newState=CleaningUp
13:35:07 - [SCENE PRESENCE]: Closing child agents. Checking 3 regions in OpenVCE
13:35:07 - [SCENE PRESENCE]: Closing 2 child agents
13:35:07 - [SCENE COMMUNICATION SERVICE]: Sending close agent ID ff3e1206-bdd2-4aeb-bee7-297c10d612b3 to AiLand
13:35:07 - [CLIENT]: Close has been called for Allen.Firethorn @www.terravirtuaworld.com:8002 attached to scene AiLand
13:35:07 - [SCENE]: Removing child agent Allen.Firethorn @www.terravirtuaworld.com:8002 ff3e1206-bdd2-4aeb-bee7-297c10d612b3 from AiLand
13:35:07 - [CAPS]: Remove caps for agent ff3e1206-bdd2-4aeb-bee7-297c10d612b3 in region AiLand
13:35:07 - [INVENTORY CACHE]: OnClientClosed in AiLand, but user ff3e1206-bdd2-4aeb-bee7-297c10d612b3 still in sim. Keeping inventoryURL in cache
13:35:07 - [Scene]: The avatar has left the building
13:35:07 - [SCENE COMMUNICATION SERVICE]: Sending close agent ID ff3e1206-bdd2-4aeb-bee7-297c10d612b3 to Oil Rig
13:35:07 - [REMOTE SIMULATION CONNECTOR]: CloseAgent http://virtual2.aiai.ed.ac.uk:9000/agent/ff3e1206-bdd2-4aeb-bee7-297c10d612b3/e9d193ea-1e82-4f35-a6b3-3745c758eb84/?auth=155d89de-9a15-4c73-8e44-0438142b78bf [^]
13:35:07 - [SCENE PRESENCE]: Making Allen.Firethorn @www.terravirtuaworld.com:8002 a child agent in OpenVCE from root region 1097312604776960

- Issue History
Date Modified Username Field Change
2016-06-23 09:29 Diva New Issue
2016-06-23 09:29 Diva Status new => assigned
2016-06-23 09:29 Diva Assigned To => melanie
2016-06-23 11:08 aiaustin Note Added: 0030693
2016-06-23 11:08 aiaustin Status assigned => confirmed
2016-06-23 11:16 aiaustin Note Edited: 0030693 View Revisions
2016-06-23 11:19 aiaustin Note Edited: 0030693 View Revisions
2016-06-23 11:19 aiaustin Note Edited: 0030693 View Revisions
2016-06-23 11:20 aiaustin Note Edited: 0030693 View Revisions
2016-06-23 19:08 danbanner Note Added: 0030727
2016-06-24 01:12 aiaustin Note Added: 0030730
2016-06-26 01:12 Gavin Hird Note Added: 0030781
2016-06-28 06:04 UbitUmarov Note Added: 0030813
2016-06-28 07:37 Gavin Hird Note Added: 0030815
2016-06-30 02:35 aiaustin Note Added: 0030847
2016-06-30 06:38 aiaustin Note Edited: 0030693 View Revisions
2016-06-30 12:49 aiaustin Note Edited: 0030847 View Revisions
2016-07-01 05:40 aiaustin Note Added: 0030853


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker